Summary: Firefox extension that saves and restores the state of all windows
Name: firefox-ext-session_manager
Version: 0.8.0.8
Release: %mkrel 2
License: MPL
Group:	Networking/WWW
URL:	https://addons.mozilla.org/en-US/firefox/addon/session-manager/
Source: http://downloads.mozdev.org/sessionmanager/session_manager-%{version}-fx+sm.xpi
Requires: firefox >= %{firefox_epoch}:%{firefox_version}
BuildRequires: firefox-devel
Buildarch: noarch

%description
Building upon SessionStore, this extension allows you to save the current state
of Firefox (history, text data, cookies) and return to that state at any later
moment. Besides the manually saved states, Session Manager automatically stores
the current state in case of a crash.

All sessions are stored in the "sessions" folder inside your profile directory
and can be moved around as any other file. To get to that folder, simply select
"Open Session Folder" in Session Manager's menu (might not work on all OSes).
Finally, Session Manager also allows to reopen the 10 last closed windows and
tabs.

%prep
%setup -q -c -n %{name}-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.8.0.8-2.mga4
+ Revision: 533627
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 tv <tv> 0.8.0.8-1.mga4
+ Revision: 474150
- new release

* Mon Jun 03 2013 tv <tv> 0.8.0.7-1.mga4
+ Revision: 436077
- new release

* Tue May 07 2013 tv <tv> 0.8.0.6-1.mga4
+ Revision: 412451
- new release
- new release

* Sun Feb 24 2013 tv <tv> 0.7.9.6-1.mga3
+ Revision: 400224
- new release

* Sat Jan 19 2013 tv <tv> 0.7.9.5-1.mga3
+ Revision: 389836
- new release

* Fri Jan 11 2013 umeabot <umeabot> 0.7.9.4-2.mga3
+ Revision: 350428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 tv <tv> 0.7.9.4-1.mga3
+ Revision: 343055
- new release

* Fri Dec 21 2012 tv <tv> 0.7.9.2-1.mga3
+ Revision: 333702
- new release

* Fri Sep 21 2012 tv <tv> 0.7.9.1-1.mga3
+ Revision: 296515
- new release

* Thu May 31 2012 tv <tv> 0.7.9-1.mga3
+ Revision: 252485
- new release
- fix URL

* Wed Dec 14 2011 tv <tv> 0.7.8.1-0.1.mga2
+ Revision: 181569
- imported package firefox-ext-session_manager


* Wed Dec 14 2011 Thierry Vignaud <tvignaud@mandriva.com> 0.7.8.1-0.1.mga2
- initial release
